Test codes are not PEP8 compliant

Issue #3885 resolved
Khairi Hafsham
created an issue

Wanted to contribute to sqlalchemy and thought I could help by improving the test codes to be pep8 compliant. Especially after reading the following in the develop section:

Tests should stick to PEP8. Many older tests currently do not; this is an area in which we welcome new help.

Running the command below inside sqlalchemy (master, c703b9ce89) folder will produce 9413 lines with pep8 related issues. Tested using pycodestyle version 2.2.0

pycodestyle tests/ | wc -l

Current work is being done at https://github.com/khairihafsham/sqlalchemy/tree/pep8-tests

Comments (4)

  1. Log in to comment